Subject: Fwd: unrelated question

From: Randy Presuhn <[email-masked]>
Date: Wed, 11 Aug 1999 17:41:27 -0700 (PDT)

Hi -

I'm forwarding this non-subscriber post to the agentx working group
mailing list.  You might consider CC-ing the poster in your response.

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

> Received: from tangelo.bmc.com ([email-masked] [172.17.7.166])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id MAA00878
> 	for <[email-masked]>; Wed, 11 Aug 1999 12:06:47 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (fw-us-hou1.bmc.com [172.17.0.250])
> 	by tangelo.bmc.com (8.8.6 (PHNE_17135)/8.8.6) with SMTP id OAA02705
> 	for <[email-masked]>; Wed, 11 Aug 1999 14:05:45 -0500 (CDT)
> Received: by WEIR with Internet Mail Service (5.5.1960.3)
> 	id <PWJNBX39>; Wed, 11 Aug 1999 12:44:00 -0400
> Message-ID: <A06EB56429E5D2119D6100409F3007D9140C94@WEIR>
> From: Rochelle Rosenberg <[email-masked]>
> To: [email-masked]
> Subject: unrelated question
> Date: Wed, 11 Aug 1999 12:44:00 -0400
> MIME-Version: 1.0
> X-Mailer: Internet Mail Service (5.5.1960.3)
> Content-Type: multipart/alternative;
> 	boundary="---- =_NextPart_001_01BEE418.B69A8C00"
> 
> This message is in MIME format. Since your mail reader does not understand
> this format, some or all of this message may not be legible.
> 
> ------ =_NextPart_001_01BEE418.B69A8C00
> Content-Type: text/plain
> 
> Does anyone know what the new RFC that 
> contains the mib module definition for
> IANAifType-MIB?  
> This used to be defined in RFC1573 
> which is now obsoleted by RFC2233.
> 
> I have the CD from IETF with the latest
> mibs and a grep of this did not prove
> to be useful.
> 
> 	thanks for your time
> 	rochelle
> 
> BTW, is there an equivalent SNMP mailing
> list that this kind of question could be 
> posed to?
> 
> ------ =_NextPart_001_01BEE418.B69A8C00
> Content-Type: text/html
> 
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
> <HTML>
> <HEAD>
> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=US-ASCII">
> <META NAME="Generator" CONTENT="MS Exchange Server version 5.5.1960.3">
> <TITLE>unrelated question</TITLE>
> </HEAD>
> <BODY>
> 
> <P><FONT SIZE=2 FACE="Arial">Does anyone know what the new RFC that </FONT>
> <BR><FONT SIZE=2 FACE="Arial">contains the mib module definition for</FONT>
> <BR><FONT SIZE=2 FACE="Arial">IANAifType-MIB?&nbsp; </FONT>
> <BR><FONT SIZE=2 FACE="Arial">This used to be defined in RFC1573 </FONT>
> <BR><FONT SIZE=2 FACE="Arial">which is now obsoleted by RFC2233.</FONT>
> </P>
> 
> <P><FONT SIZE=2 FACE="Arial">I have the CD from IETF with the latest</FONT>
> <BR><FONT SIZE=2 FACE="Arial">mibs and a grep of this did not prove</FONT>
> <BR><FONT SIZE=2 FACE="Arial">to be useful.</FONT>
> </P>
> 
> <P>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT SIZE=2 FACE="Arial">thanks for your time</FONT>
> <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT SIZE=2 FACE="Arial">rochelle</FONT>
> </P>
> 
> <P><FONT SIZE=2 FACE="Arial">BTW, is there an equivalent SNMP mailing</FONT>
> <BR><FONT SIZE=2 FACE="Arial">list that this kind of question could be </FONT>
> <BR><FONT SIZE=2 FACE="Arial">posed to?</FONT>
> </P>
> 
> </BODY>
> </HTML>
> ------ =_NextPart_001_01BEE418.B69A8C00--
>

---

From: Lauren Heintz <[email-masked]>
Date: Wed, 11 Aug 1999 18:10:58 -0700

I got the one I am using from:

ftp://ftp.isi.edu/mib/ianaiftype.mib

Note that with the MIB compiler I am using, I had to change
the following...

from:

   IMPORTS
       MODULE-IDENTITY                     FROM SNMPv2-SMI
       mib-2                               FROM RFC1213-MIB
       TEXTUAL-CONVENTION                  FROM SNMPv2-TC;

to:

   IMPORTS
       MODULE-IDENTITY                     FROM SNMPv2-SMI
       mib-2                               FROM SNMPv2-SMI
       TEXTUAL-CONVENTION                  FROM SNMPv2-TC;

Otherwise, my MIB compiler complains about duplicate names in the
various modules.

Regards,
Lauren

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 12 Aug 1999 09:33:17 +0200

>>>>> Lauren Heintz writes:

Lauren> I got the one I am using from:

Lauren> ftp://ftp.isi.edu/mib/ianaiftype.mib

Lauren> Note that with the MIB compiler I am using, I had to change
Lauren> the following...

   IMPORTS

Lauren> to:

   IMPORTS

Lauren> Otherwise, my MIB compiler complains about duplicate names in
Lauren> the various modules.

Two comments:

1) I agree that the imports for IANAifType-MIB should be fixed. Bert
   Wijnen knows about this issue but it seems that it is in general
   really hard to get IANA MIBs updated correctly. (The IANA DISMAN
   language MIB simply disappeared when the ID was published as an RFC
   and all attempts to get it out of nowhere were not successful so
   far. Looks like the IETF has a serious problem with IANA right
   now.)

2) Your compiler should not complain about duplicate names in this
   case. I think it is legal to define a descriptor in two different
   modules with the same value. Furthermore, there is no ambiguity in
   the IANAifType-MIB module since mib-2 is only imported from
   RFC1213-MIB.

Since we are talking about the IANAifType-MIB: A recent addition to
IANAifType is `if-gsn (145)' which contains a hyphen where it should
not.

[I CC'ed this to [email-masked] since this topic does not really
 belong to the agentx WG. Please send any further responses/comments
 to [email-masked].]
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)

---

From: Keith McCloghrie <[email-masked]>
Date: Thu, 12 Aug 1999 10:49:54 -0700 (PDT)

> Lauren> the various modules.

I don't understand "duplicate names" unless your MIB compiler is
(incorrectly) importing everything defined in the specified MIB modules,
instead of importing only the specified descriptors/identifiers.

Keith.